$kind: http-request
url: "{{baseUrl}}loans/products/create"
method: POST
body:
  type: json
  content: |-
    {
        "name": "Business Loan",
        "is_it_available_to": 1,
        "organisation_id": 1,
        "branch_id": 1,
        "product_type_id": 1,
        "minimum_amount": 2000,
        "maximum_amount": 20000000,
        "apply_interest_as": 1,
        "minimum_interest": 1,
        "maximum_interest": 10,
        "repayment_frequency": 12,
        "repayment_made_every": 3,
        "default_installment": 12,
        "minimum_installment": 1,
        "maximum_installment": 12,
        "miscellaneous_account_id": 12,
        "write_off_loan_account_id": 12,
        "minimum_grace_period": 1,
        "maximum_grace_period": 1,
        "minimum_offset": 1,
        "offset_made_every": 1,
        "minimum_penalty_rate": 1,
        "maximum_penalty_rate": 1,
        "loan_principal_receivable_account_id": 1,
        "interest_income_account_id": 1,
        "default_amount": 30000,
        "default_interest": 2,
        "interest_type_calculation_id": 1
    }
auth:
  type: bearer
  credentials:
    token: "{{token}}"
order: 2000
